<?php
/**
 * @package   Yandex id
 * @author    Outcode https://outcode.ru/
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
?>

<form class="com-yandexid" action="index.php?option=com_yandexid&controller=main" method="post" enctype="multipart/form-data" name="adminForm" id="adminForm">
  <input type="hidden" name="task" value="" />
  <?php echo JHtml::_('form.token');?>  
  
  <fieldset class="form-wrapper" id="edit-main">  
    <div class="text"><?=JText::_("COM_YANDEXID_TXT_34")?></div>
  </fieldset>
 
  <fieldset class="form-wrapper" id="edit-main">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXID_TXT_1")?></span>
    <div class="fieldset-wrapper">
      
      <div class="form-item form-type-textfield form-item-yandexid_title">    
        <label for="edit-yandexid_title"><?=JText::_("COM_YANDEXID_TXT_2")?></label>
        <input type="text" id="edit-yandexid_title" name="title" value="<?=$this->title?>" size="60" maxlength="128" class="form-text">
        <div><?=JText::_("COM_YANDEXID_TXT_35")?> <a target="_blank" href="/administrator/components/com_yandexid/img/app-title.jpg"><?=JText::_("COM_YANDEXID_TXT_26")?></a></div>
      </div>
      
      <div class="form-item form-type-select form-item-type_selection">
        <label for="edit-type_selection"><?=JText::_("COM_YANDEXID_TXT_3")?></label>
        <select id="edit-type_selection" name="type_selection" class="form-select">
          <option value="widget" <?php if($this->type_selection == "widget"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_3_1")?></option>
          <option value="button" <?php if($this->type_selection == "button"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_3_2")?></option>
        </select>
        <div><?=JText::_("COM_YANDEXID_TXT_3_1")?> -  <a target="_blank" href="/administrator/components/com_yandexid/img/widget.jpg"><?=JText::_("COM_YANDEXID_TXT_27")?></a><br><?=JText::_("COM_YANDEXID_TXT_3_2")?> -  <a target="_blank" href="/administrator/components/com_yandexid/img/button.jpg"><?=JText::_("COM_YANDEXID_TXT_27")?></a><br></div>
      </div>
      
      <div class="form-item form-type-select form-item-group">
        <label for="edit-group"><?=JText::_("COM_YANDEXID_TXT_21")?></label>
        <select id="edit-group" name="group" class="form-select">
          <?php foreach($this->groups as $group): ?>
          <option value="<?=$group->id?>" <?php if($group->id == $this->group): ?>selected="selected"<?php endif; ?>><?=$group->title?></option>
          <?php endforeach; ?>
        </select>
      </div>
    </div>
  </fieldset>

  <fieldset class="form-wrapper" id="edit-main3">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXID_TXT_30")?></span>
    <div class="fieldset-wrapper">
      
      <div class="form-item form-type-checkbox form-item-scope_login_info">    
        <label class="option" for="scope_login_info"><input type="checkbox" id="scope_login_info" name="scope_login_info" value="1" <?php if($this->scope_login_info == 1): ?>checked="checked"<?php endif; ?> class="form-checkbox">  
        <?=JText::_("COM_YANDEXID_TXT_22")?></label>
      </div>
      
      <div class="form-item form-type-select form-item-first_name">
        <label for="edit-first_name"><?=JText::_("COM_YANDEXID_TXT_33")?></label>
        <select id="edit-first_name" name="first_name" class="form-select">
          <?php foreach($this->user_fields as $id => $field): ?>
            <option value="<?=$id?>" <?php if($this->first_name == $id): ?>selected="selected"<?php endif; ?>><?=$field['title']?></option>
          <?php endforeach; ?>
        </select>
      </div>
      
      <div class="form-item form-type-select form-item-last_name">
        <label for="edit-last_name"><?=JText::_("COM_YANDEXID_TXT_32")?></label>
        <select id="edit-last_name" name="last_name" class="form-select">
          <?php foreach($this->user_fields as $id => $field): ?>
            <option value="<?=$id?>" <?php if($this->last_name == $id): ?>selected="selected"<?php endif; ?>><?=$field['title']?></option>
          <?php endforeach; ?>
        </select>
        </div>

      <div class="form-item form-type-checkbox form-item-scope_login_default_phone">    
        <label class="option" for="scope_login_default_phone"><input type="checkbox" id="scope_login_default_phone" name="scope_login_default_phone" value="1" <?php if($this->scope_login_default_phone == 1): ?>checked="checked"<?php endif; ?> class="form-checkbox">  
        <?=JText::_("COM_YANDEXID_TXT_23")?></label>
      </div>
      
      <div class="form-item form-type-select form-item-default_phone">
        <label for="edit-default_phone"><?=JText::_("COM_YANDEXID_TXT_28")?></label>
        <select id="edit-default_phone" name="default_phone" class="form-select">
          <?php foreach($this->user_fields as $id => $field): ?>
            <option value="<?=$id?>" <?php if($this->default_phone == $id): ?>selected="selected"<?php endif; ?>><?=$field['title']?></option>
          <?php endforeach; ?>
        </select>
      </div>
      
      <div class="form-item form-type-checkbox form-item-scope_login_birthday">    
        <label class="option" for="scope_login_birthday"><input type="checkbox" id="scope_login_birthday" name="scope_login_birthday" value="1" <?php if($this->scope_login_birthday == 1): ?>checked="checked"<?php endif; ?> class="form-checkbox">  
        <?=JText::_("COM_YANDEXID_TXT_24")?></label>
      </div>
      
      <div class="form-item form-type-select form-item-login_birthday">
        <label for="edit-login_birthday"><?=JText::_("COM_YANDEXID_TXT_29")?></label>
        <select id="edit-login_birthday" name="login_birthday" class="form-select">
          <?php foreach($this->user_fields as $id => $field): ?>
            <option value="<?=$id?>" <?php if($this->login_birthday == $id): ?>selected="selected"<?php endif; ?>><?=$field['title']?></option>
          <?php endforeach; ?>
        </select>
      </div>

    </div>
  </fieldset>

  <fieldset class="form-wrapper" id="edit-main2">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXID_TXT_4")?></span>
    <div class="fieldset-wrapper">
      
      <div class="form-item form-type-select form-item-suggest_button_view">
        <label for="edit-suggest_button_view"><?=JText::_("COM_YANDEXID_TXT_5")?></label>
        <select id="edit-suggest_button_view" name="suggest_button_view" class="form-select">
          <option value="main" <?php if($this->suggest_button_view == "main"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_5_1")?></option>
          <option value="additional" <?php if($this->suggest_button_view == "additional"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_5_2")?></option>
          <option value="icon" <?php if($this->suggest_button_view == "icon"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_5_3")?></option>
          <option value="iconGrey" <?php if($this->suggest_button_view == "iconGrey"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_5_4")?></option>
          <option value="iconBorder" <?php if($this->suggest_button_view == "iconBorder"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_5_5")?></option>
        </select>
        
        <div class="btn-example">
          <img class="img main-light" src="/administrator/components/com_yandexid/img/btn/main-light.jpg">
          <img class="img main-dark" src="/administrator/components/com_yandexid/img/btn/main-dark.jpg">
          <img class="img additional-light" src="/administrator/components/com_yandexid/img/btn/additional-light.jpg">
          <img class="img additional-dark" src="/administrator/components/com_yandexid/img/btn/additional-dark.jpg">
          <img class="img icon" src="/administrator/components/com_yandexid/img/btn/icon.jpg">
          <img class="img icongrey" src="/administrator/components/com_yandexid/img/btn/iconGrey.jpg">
          <img class="img iconborder" src="/administrator/components/com_yandexid/img/btn/iconBorder.jpg">
        </div>
      </div>
      
      <div class="form-item form-type-textfield form-item-suggest_parent_id">    
        <label for="edit-suggest_parent_id"><?=JText::_("COM_YANDEXID_TXT_6")?></label>
        <input type="text" id="edit-suggest_parent_id" name="suggest_parent_id" value="<?=$this->suggest_parent_id?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield form-item-suggest_button_border_radius">    
        <label for="edit-suggest_button_border_radius"><?=JText::_("COM_YANDEXID_TXT_7")?></label>
        <input type="number" id="edit-suggest_button_border_radius" name="suggest_button_border_radius" value="<?=$this->suggest_button_border_radius?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-select form-item-suggest_button_theme">
        <label for="edit-suggest_button_theme"><?=JText::_("COM_YANDEXID_TXT_8")?></label>
        <select id="edit-suggest_button_theme" name="suggest_button_theme" class="form-select">
          <option value="light" <?php if($this->suggest_button_theme == "light"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_8_1")?></option>
          <option value="dark" <?php if($this->suggest_button_theme == "dark"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXID_TXT_8_2")?></option>
        </select>
      </div>
      
      <div class="form-item form-type-select form-item-suggest_button_size">
        <label for="edit-suggest_button_size"><?=JText::_("COM_YANDEXID_TXT_9")?></label>
        <select id="edit-suggest_button_size" name="suggest_button_size" class="form-select">
          <option value="xs" <?php if($this->suggest_button_size == "xs"): ?>selected="selected"<?php endif; ?>>xs</option>
          <option value="s" <?php if($this->suggest_button_size == "s"): ?>selected="selected"<?php endif; ?>>s</option>
          <option value="m" <?php if($this->suggest_button_size == "m"): ?>selected="selected"<?php endif; ?>>m</option>
          <option value="l" <?php if($this->suggest_button_size == "l"): ?>selected="selected"<?php endif; ?>>l</option>
          <option value="xl" <?php if($this->suggest_button_size == "xl"): ?>selected="selected"<?php endif; ?>>xl</option>
          <option value="xxl" <?php if($this->suggest_button_size == "xxl"): ?>selected="selected"<?php endif; ?>>xxl</option>
        </select>
      </div>
      
      <div class="icon form-item form-type-textfield form-item-suggest_color_bg_base">    
        <label for="edit-suggest_color_bg_base"><?=JText::_("COM_YANDEXID_TXT_10")?></label>
        <input type="text" id="edit-suggest_color_bg_base" name="suggest_color_bg_base" value="<?=$this->suggest_color_bg_base?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="icon form-item form-type-textfield form-item-suggest_color_bg_hovered">    
        <label for="edit-suggest_color_bg_hovered"><?=JText::_("COM_YANDEXID_TXT_11")?></label>
        <input type="text" id="edit-suggest_color_bg_hovered" name="suggest_color_bg_hovered" value="<?=$this->suggest_color_bg_hovered?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="icon form-item form-type-textfield form-item-suggest_color_border_base">    
        <label for="edit-suggest_color_border_base"><?=JText::_("COM_YANDEXID_TXT_12")?></label>
        <input type="text" id="edit-suggest_color_border_base" name="suggest_color_border_base" value="<?=$this->suggest_color_border_base?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="icon form-item form-type-textfield form-item-suggest_color_border_hovered">    
        <label for="edit-suggest_color_border_hovered"><?=JText::_("COM_YANDEXID_TXT_13")?></label>
        <input type="text" id="edit-suggest_color_border_hovered" name="suggest_color_border_hovered" value="<?=$this->suggest_color_border_hovered?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="icon form-item form-type-textfield form-item-suggest_border_thickness">    
        <label for="edit-suggest_border_thickness"><?=JText::_("COM_YANDEXID_TXT_14")?></label>
        <input type="number" id="edit-suggest_border_thickness" name="suggest_border_thickness" value="<?=$this->suggest_border_thickness?>" size="60" maxlength="128" class="form-text">
      </div>
 
    </div>
  </fieldset>
  
  <fieldset class="form-wrapper" id="edit-main3">
    <div class="fieldset-wrapper oauth-app">
      
      <?php if($this->yandexid_app_client_id != ''): ?>
        <div data-action="update_oauth_app" class="button">Обновить приложение</div>
      <?php else: ?>
        <div data-action="create_oauth_app" class="button">Создать приложение</div>
      <?php endif; ?>
      <div class="ya-message">123</div>

    </div>
  </fieldset>  
  
  <input type="hidden" name="yandexid_oauth_token" value="<?=$this->yandexid_oauth_token?>">
  <input type="hidden" name="yandexid_expires_oauth_token" value="<?=$this->yandexid_expires_oauth_token?>">
  <input type="hidden" name="yandexid_app_client_id" value="<?=$this->yandexid_app_client_id?>">
  <input type="hidden" name="yandexid_app_client_secret" value="<?=$this->yandexid_app_client_secret?>">

</form>

<script src="/administrator/components/com_yandexid/js/settings.js"></script>