<?php
/**
 * @package   Yandex id
 * @author    Outcode https://outcode.ru/
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Вывод виджета авторизации
 *
*/
 
defined('_JEXEC') or die;

$uri = JUri::getInstance();
$user = JFactory::getUser();

$show_widget = true;
$params = JComponentHelper::getParams('com_yandexid');  

$tokenPageOrigin = $uri->base().'index.php/component/com_yandexid/yandexid/oauth';
$redirect_uri = $uri->base().'index.php/component/com_yandexid/yandexid/oauth';

$client_id = $params->get('yandexid_app_client_id', '');
// Кнопка, визуал
$parent_id = $params->get('suggest_parent_id', '');
$button_view = $params->get('suggest_button_view', '');
$button_theme = $params->get('suggest_button_theme', '');
$button_size = $params->get('suggest_button_size', '');
$button_border_radius = $params->get('suggest_button_border_radius', '');
$type_selection = $params->get('type_selection', '');

$color_bg_base = $params->get('suggest_color_bg_base', '');
$color_bg_hovered = $params->get('suggest_color_bg_hovered', '');
$color_border_base = $params->get('suggest_color_border_base', '');
$color_border_hovered = $params->get('suggest_color_border_hovered', '');
$border_thickness = $params->get('suggest_border_thickness', '');

if($client_id == ''){
  $show_widget = false;
}

if ($user->id > 0){
  $show_widget = false;
}

if ($show_widget != false){  
  require JModuleHelper::getLayoutPath('mod_yandexid', $params->get('layout', 'yandex_id_widget'));
}
